=== modified file 'missing.py'
--- missing.py	2011-08-13 03:06:56 +0000
+++ missing.py	2012-02-09 03:43:01 +0000
@@ -47,7 +47,7 @@
 
     def _create(self):
         self.set_default_size(600, 600)
-        paned = Gtk.VPaned()
+        paned = Gtk.Paned.new(Gtk.Orientation.VERTICAL)
 
         frame = Gtk.Frame(label="You have the following extra revisions:")
 

=== modified file 'preferences/plugins.py'
--- preferences/plugins.py	2012-02-03 18:08:07 +0000
+++ preferences/plugins.py	2012-02-09 03:43:01 +0000
@@ -17,10 +17,11 @@
 from gi.repository import Gtk
 
 
-class PluginsPage(Gtk.VPaned):
+class PluginsPage(Gtk.Paned):
 
     def __init__(self):
         super(PluginsPage, self).__init__()
+        self.set_orientation(Gtk.Orientation.VERTICAL)
         self.set_border_width(12)
         self.set_position(216)
 

=== modified file 'tags.py'
--- tags.py	2011-09-05 03:44:26 +0000
+++ tags.py	2012-02-09 03:43:01 +0000
@@ -15,7 +15,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
-from gi.repository import GObject
 from gi.repository import Gtk
 
 from bzrlib.plugins.gtk.dialog import error_dialog
@@ -47,7 +46,7 @@
         self._vbox_buttons = Gtk.VBox()
         self._vbox_buttons_top = Gtk.VBox()
         self._vbox_buttons_bottom = Gtk.VBox()
-        self._vpaned = Gtk.VPaned()
+        self._vpaned = Gtk.Paned.new(Gtk.Orientation.VERTICAL)
 
         # Set callbacks
         self._button_add.connect('clicked', self._on_add_clicked)
@@ -198,6 +197,8 @@
         # Refresh RevisionView only if there are tags available
         if not self._no_tags:
             (path, col) = self._treeview_tags.get_cursor()
+            if path is None:
+                return  # The widget is being destroyed.
             revision = self._model[path][1]
             self._revisionview.set_revision(self.branch.repository.get_revision(revision))
 

=== modified file 'viz/branchwin.py'
--- viz/branchwin.py	2011-11-29 10:09:23 +0000
+++ viz/branchwin.py	2012-02-09 03:43:01 +0000
@@ -136,7 +136,7 @@
         if self.config.get_user_option('viz-vertical') == 'True':
             self.paned = Gtk.HPaned()
         else:
-            self.paned = Gtk.VPaned()
+            self.paned = Gtk.Paned.new(Gtk.Orientation.VERTICAL)
 
         self.paned.pack1(self.construct_top(), resize=False, shrink=True)
         self.paned.pack2(self.construct_bottom(), resize=True, shrink=False)
@@ -371,7 +371,7 @@
     def construct_bottom(self):
         """Construct the bottom half of the window."""
         if self.config.get_user_option('viz-wide-diffs') == 'True':
-            self.diff_paned = Gtk.VPaned()
+            self.diff_paned = Gtk.Paned.new(Gtk.Orientation.VERTICAL)
         else:
             self.diff_paned = Gtk.HPaned()
         (width, height) = self.get_size()

